## xbomb 2.2a

=== Makefile ===
# $Header: /home/amb/xbomb/RCS/Makefile 1.13 1996/01/20 21:02:46 amb Exp $
#
# XBomb - 'Minesweeper' game - Version 2
#
# Makefile.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994 1995 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

CC=gcc
CFLAGS=-O2

INCLUDES=

LIB=

XLIB=-L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11

COMPILE=$(CC) -c $(CFLAGS)

LINK=$(CC)

OBJ=xbomb.o xwindow.o hiscore.o

INSTDIR=/usr/local

########

xbomb : $(OBJ)
	$(LINK) $(OBJ) -o $@ $(LIB) $(XLIB)

########

%.o : %.c
	$(COMPILE) $< -o $@ $(INCLUDES)

xbomb.o   : xbomb.c   xbomb.h
xwindow.o : xwindow.c xbomb.h icon.h
hiscore.o : hiscore.c xbomb.h

########

clean :
	-rm -f *.o *~ core

########

install :
	strip xbomb
	install -d $(INSTDIR)/bin
	install -d $(INSTDIR)/man/man6
	install -d $(INSTDIR)/lib/app-defaults
	install -m 755 xbomb $(INSTDIR)/bin
	install -m 644 xbomb.6 $(INSTDIR)/man/man6
	install -m 644 xbomb.ad $(INSTDIR)/lib/app-defaults/XBomb

=== debian/changelog ===
xbomb (2.2a-2) unstable; urgency=low

  * New mantainer (Closes: #664100)
  * Bump Standards-Version to 3.9.4 (no other changes)
  * debian/patches/*
    - Added hardening flags to compilation
    - Removed useless linkage against libXmu
  * debian/rules
    - Added override steps on fixperms
  * debian/control
    - Using Git as VCS

 -- Alexandre Dantas <alex.dantas92@gmail.com>  Thu, 02 May 2013 20:59:35 -0300

xbomb (2.2a-1) unstable; urgency=low

  * QA upload: new upstream release
  * debian/control, debian/compat
    - Changed maintainer to QA group
    - Bump Standards-Version to 3.9.3 (no other changes)
    - Remove homepage from description into a proper field
    - Bump debhelper compatibility level to 9
    - Added ${misc:Depends} to binary package
    - Remove initial article from short description
    - Remove conflict with non-existing package
  * debian/small.xpm -> xbomb.xpm
    - Rename to final name for installing with debhelper
  * debian/source/format, debian/patches/*
    - Switch to source package format '3.0 (quilt)'
    - Improve manpage patch to fix page section too
    - Regenerate hiscore patch for new upstream
  * debian/install, debian/manpages, debian/rules
    - Switch to debhelper sequencer
  * debian/copyright
    - Rewritten into Copyright Format 1.0
  * debian/watch
    - Added watch file

 -- Ricardo Mones <mones@debian.org>  Sun, 13 May 2012 01:37:18 +0200

xbomb (2.1a-7.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important RC bug; Closes: #515479).

  [tony mancill]
  * debian/control
    - Apply patch for description. (Closes: #490174)
  * debian/copyright
    - Refer to GPL-2 (addresses lintian error)

 -- tony mancill <tmancill@debian.org>  Mon, 19 Apr 2010 08:13:54 -0700

xbomb (2.1a-7) unstable; urgency=low

  * Updated standards version (no actual changes required).
  * Fixed an oversight on my part which resulted in the high-score files
    being left behind even after a purge (closes: #455057).
  * As a consequence of the previous fix, the package no longer owns
    /var/games/xbomb, which is now manually created in the postinst.
  * Removed the "-s" from the install command in debian/rules, so that the
    package can be built with the nostrip option (closes: #438288).
    The normal package will still have the binary stripped by dh_strip.
  * Pass "-g" to compiler so we have something worth stripping in the
    first place. :)
  * Updated min debhelper version to 4.
  * Don't ignore Makefile errors during clean.
  * Patch to man page to make it more whatis friendly.
  * Change postinst to use "chown root:games" instead of "root.games".
  * Updated FSF address in debian/copyright
  * Added proper quoting to debian/menu.
  * Made some minor adjustments to the package description in
    debian/control.
  * Added <string.h> to hi-score.c to pick up some required prototypes.

 -- Chris Waters <xtifr@debian.org>  Sun, 09 Dec 2007 15:06:18 -0800

xbomb (2.1a-6.1) unstable; urgency=low

  * Non-maintainer upload to do xlibs-dev transition
  * debian/control: Replaced xlibs-dev build-dep (Closes: #346792)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 18:26:32 +0100

xbomb (2.1a-6) unstable; urgency=low

  * Updated standards version, rebuilt w/o /usr/doc link.
  * Replaced my ugly icon with a nicer one stolen from fvwm.
  * Added upstream URL to package description.

 -- Chris Waters <xtifr@debian.org>  Mon,  4 Nov 2002 02:58:22 -0800

xbomb (2.1a-5) unstable; urgency=low

  * Updated standards-version (no actual changes required, tho).
  * Did some general modernizing of the packaging anyway.
  * Moved icon to /usr/share/pixmaps.

 -- Chris Waters <xtifr@debian.org>  Fri, 15 Mar 2002 13:46:50 -0800

xbomb (2.1a-4) unstable; urgency=low

  * Took dh_suidregister back out, since apparently there isn't going to
    be a smooth upgrade path for packages using it. (closes:#84836)
    Also made package conflict with older suidmanager, as required.
  * Made app-defaults file into a conffile, despite the fact that lintian
    (currently) complains, because policy is just about to change here.

 -- Chris Waters <xtifr@debian.org>  Mon,  5 Feb 2001 12:28:48 -0800

xbomb (2.1a-3) unstable; urgency=low

  * Updated standards-version (again).
  * Added Build-depends.
  * Updated the description a little.
  * Finally started using dh_suidregister.  Some minor related changes.
  * Built against XF86-4 system.  Moved app-defaults file to
    /etc/X11/app-defaults, which seems to be the correct new location,
    although it is in advance of policy.
  * Did a little cleanup on postinst and postrm, added "set -e" to all.
  * /var/games/xbomb now 755 root.root instead of 775 root.games.  Only
    the (existing) contents of this directory need to be writable.
  * High-score files now purged in prerm, not postrm, so that the
    directory can be properly removed too.
  * Added a README.Debian to talk about the high-score files.

 -- Chris Waters <xtifr@debian.org>  Wed,  3 Jan 2001 00:01:13 -0800

xbomb (2.1a-2) unstable; urgency=low

  * New standards version 3.0.0.0
  * changed ref to GPL in copyright file (new standard)
  * moved man page to usr/share (new standard, FHS)
  * moved high score files to /var/games (new standard, FHS)
  * added icon for debian menus

 -- Chris Waters <xtifr@debian.org>  Sun, 21 Nov 1999 03:05:22 -0800

xbomb (2.1a-1) unstable; urgency=low

  * app-defaults/xbomb.ad renamed to XBomb, closes: #35831
  * new upstream version, has fix for resize problem, closes: #34840

 -- Chris Waters <xtifr@debian.org>  Mon, 12 Apr 1999 03:55:39 -0700

xbomb (2.1-2) unstable; urgency=low

  * hi score files removed from package, now created by postinst.
  * suidregister support added
  * debian menu support added
  * debian/rules: rewritten completely with debhelper
  * new maintainer



=== debian/control ===
Source: xbomb
Section: games
Priority: optional
Maintainer: Alexandre Dantas <alex.dantas92@gmail.com>
Standards-Version: 3.9.4
Build-depends: debhelper (>= 9), libx11-dev, libxt-dev, x11proto-core-dev,
               libxaw7-dev
Homepage: http://www.gedanken.org.uk/software/xbomb/
Vcs-Git: git://github.com/alexdantas/xbomb.git
Vcs-Browser: https://github.com/alexdantas/xbomb

Package: xbomb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 'minesweeper' game with squares, hexagons or triangles
 A test of speed and logic to find the location of bombs hidden in a grid.
 It offers the standard grid of squares, plus grids of hexagons or triangles,
 each in 3 difficulty levels. All games are played against the clock with a
 high-score table for each combination.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_install:
	$(MAKE) install INSTDIR=$(CURDIR)/debian/tmp/usr

override_dh_fixperms:
	chown 'root:games' debian/xbomb/usr/games/xbomb
	chmod 2755 debian/xbomb/usr/games/xbomb
	dh_fixperms -Xdebian/xbomb/usr/games/xbomb

=== debian/watch ===
version=3
http://www.gedanken.demon.co.uk/download-xbomb/xbomb-(.*)\.(.*)\.tgz

## xbomb 2.2b

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/amb/xbomb/RCS/Makefile 1.13 1996/01/20 21:02:46 amb Exp $
+# $Header: /home/amb/CVS/xbomb/Makefile,v 1.13 1996-01-20 21:02:46 amb Exp $
 #
 # XBomb - 'Minesweeper' game - Version 2
 #

=== debian/changelog ===
xbomb (2.2b-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch for proper time64 support (FTBFS on armel & armhf)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Dec 2024 19:12:54 +0100

xbomb (2.2b-2) unstable; urgency=medium

  * Non-maintainer Upload
  * Import game on Salsa
  * Set "Rules-Requires-Root: binary-targets" (Closes: #1089471)
  * Fix FTCBFS (Closes: #901162)
  * Remove old Debian manu entry
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 19:38:03 +0100

xbomb (2.2b-1) unstable; urgency=medium

  * New upstream version (Closes: #757902)
  * debian/patches/*
    - Updated patches to new upstream version

 -- Alexandre Dantas <eu@alexdantas.net>  Sun, 17 Aug 2014 23:36:06 -0400

xbomb (2.2a-3) unstable; urgency=low

  * Bump standards version to 3.9.5 (no changes)
  * Fixed end-of-line errors on patch files
  * Added desktop file and PNG icons (closes: #738057)
  * Updated maintainer mail address
  * Cryptographic signature verification: upstream provides
    a PGP signature to verify the tarball. Consequently:
    - Added debian/upstream/signing-key.asc
    - Modified debian/source/include-binaries
    - Updated debian/watch

 -- Alexandre Dantas <eu@alexdantas.net>  Mon, 04 Aug 2014 02:05:28 -0400

=== debian/control ===
Source: xbomb
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alexandre Dantas <eu@alexdantas.net>,
Standards-Version: 3.9.5
Build-depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxt-dev,
 x11proto-core-dev,
 libxaw7-dev
Rules-Requires-Root: binary-targets
Homepage: http://www.gedanken.org.uk/software/xbomb/
Vcs-Git: https://salsa.debian.org/games-team/xbomb.git
Vcs-Browser: https://salsa.debian.org/games-team/xbomb

Package: xbomb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 'minesweeper' game with squares, hexagons or triangles
 A test of speed and logic to find the location of bombs hidden in a grid.
 It offers the standard grid of squares, plus grids of hexagons or triangles,
 each in 3 difficulty levels. All games are played against the clock with a
 high-score table for each combination.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_install:
 	$(MAKE) install INSTDIR=$(CURDIR)/debian/tmp/usr
